#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	libappindicator
Version		:	12.10.1
Release		:	17.0.10.rel%{?dist}

Summary		:	Application indicators library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	https://launchpad.net/libappindicator/

Source0		:	%{name}_%{version}+20.10.20200706.1.orig.tar.gz
			#https://launchpad.net/ubuntu/+source/libappindicator/12.10.1+20.10.20200706.1-0ubuntu1

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gnome-common
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtk2+
BuildRequires	:	libdbusmenu-devel
BuildRequires	:	libdbusmenu-gtk3-devel
BuildRequires	:	libdbusmenu-gtk2-devel
BuildRequires	:	libindicator-gtk3-devel
BuildRequires	:	make
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
A library to allow applications to export a menu
into the Unity Menu bar. Based on KSNI it also
works in KDE and will fallback to generic Systray
support if none of those are available.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README COPYING COPYING.LGPL.2.1
%{_libdir}/%{name}.so.1*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	dbus-glib-devel
Requires	:	libdbusmenu-devel

#-----------------------------------------------------------------------------
%description		devel
This package contains the development files for
the appindicator library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-0.1/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/appindicator-0.1.pc

#=============================================================================
%package		gtk3
Summary		:	Application indicators library - GTK 3

#-----------------------------------------------------------------------------
%description		gtk3
A library to allow applications to export
a menu into the Unity Menu bar. Based on
KSNI it also works in KDE and will fallback
to generic Systray support if none of those
are available.
 
This package contains the GTK 3 version of
this library.

#-----------------------------------------------------------------------------
%files			gtk3
%defattr(-,root,root,-)
%doc AUTHORS README COPYING COPYING.LGPL.2.1
%{_libdir}/%{name}3.so.*
%{_libdir}/girepository-1.0/AppIndicator3-0.1.typelib

#=============================================================================
%package		gtk3-devel
Summary		:	Development files for %{name}-gtk3

#-----------------------------------------------------------------------------
Requires	:	%{name}-gtk3		= %{version}-%{release}
Requires	:	dbus-glib-devel
Requires	:	libdbusmenu-devel

#-----------------------------------------------------------------------------
%description		gtk3-devel
This package contains the development files
for the appindicator-gtk3 library.

#-----------------------------------------------------------------------------
%files			gtk3-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}3-0.1/%{name}/*.h
%{_libdir}/%{name}3.so
%{_libdir}/pkgconfig/appindicator3-0.1.pc
%{_datadir}/gir-1.0/AppIndicator3-0.1.gir
%{_datadir}/vala/vapi/appindicator3-0.1.vapi
%{_datadir}/vala/vapi/appindicator3-0.1.deps

#=============================================================================
%package		doc
Summary		:	Documentation for %{name} and %{name}-gtk3

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This package contains the documentation for
the appindicator and appindicator-gtk3 libraries.
 
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/style.css

#=============================================================================
%prep
%setup -q -c
sed -i "s#mono-csc#mcs#g" configure.ac
# fix for gtk-doc 1.26
sed -i 's/--nogtkinit//' docs/reference/Makefile.am
gtkdocize --copy
cp -f gtk-doc.make gtk-doc.local.make
autoreconf -vif


#-----------------------------------------------------------------------------
#building application
%build

mkdir build-gtk2 build-gtk3

pushd build-gtk2
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
../configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --localstatedir=%{_var}				\
	--with-gtk=2 					\
	--enable-gtk-doc				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%define _smp_mflags -j1 V=1
%{__make} %{_smp_mflags}
popd

pushd build-gtk3
export CFLAGS="%{optflags} $CFLAGS -Wno-deprecated-declarations"
../configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --localstatedir=%{_var}				\
	--with-gtk=3 					\
	--enable-gtk-doc				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%define _smp_mflags -j1 V=1
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build-gtk2
%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd

pushd build-gtk3
%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
